/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>
#include <readline/readline.h>

int main() {
  char *p;
  p = readline("please type in something> ");
  printf("you typed in '%s'\n", p);
  printf("please type in something again!> \n");
  free(p);
  p = readline(NULL);
  printf("you typed in '%s'\n", p);
  free(p);
  printf("Bye!\n");
}
